{% extends "base.html" %}
{% block content %}
    <main class="m-auto pt-4" style="max-width: 1280px">
        <div class="d-flex gap-3 justify-content-between mb-5 flex-column-reverse flex-lg-row">
            <section class="col-12 col-lg-8">
                <h2 class="">Ticket #{{ ticket }} - {{ ticket.title }}</h2>
                <h4 class="">Description:</h4>
                <p style="word-wrap:break-word;">{{ ticket.description }}</p>
                <h4 class="">Notities:</h4>
                <div>
                    {% for note in ticket.notes.all %}
                        <div class="d-flex flex-column pb-2">
                            <p class="m-0" style="font-size: 15px">{{ note.employee.get_full_name }}</p>
                            <small class="m-0" style="font-size: 13px">{{ note.dt_added }}</small>
                        </div>
                        <p style="word-wrap:break-word;">{{ note.note }}</p>
                        <hr>
                    {% endfor %}
                </div>
                <form method="post">
                    {% csrf_token %}
                    <textarea name="note"
                              placeholder="Notite..."
                              class="w-100"
                              style="min-height: 10rem;"></textarea>
                    <button type="submit"
                            class="text-white rounded"
                            style="background-color: #00D32A;
                                   border-width: 0;
                                   font-size: 14px;
                                   font-weight: bold;
                                   padding: 10px 20px;">
                        Voeg notitie toe
                    </button>
                </form>
            </section>
            <section class="col-12 col-lg-4">
                <div class="d-grid gap-1 p-3" style="background-color: #F4F7FB;">
                    <div class="row m-0">
                        <p class="col-6 m-0 p-0">Medewerker:</p>
                        <p class="col-6 m-0 p-0">{{ ticket.assignee.get_full_name }}</p>
                    </div>
                    <div class="row m-0">
                        <p class="col-6 m-0 p-0">Contact persoon:</p>
                        <p class="col-6 m-0 p-0">{{ ticket.contact_person }}</p>
                    </div>
                    <div class="row m-0">
                        <p class="col-6 m-0 p-0">Email:</p>
                        <p class="col-6 m-0 p-0" style="word-wrap: break-word;">{{ ticket.contact_person.email }}</p>
                    </div>
                    {% if ticket.contact_person.phone_number %}
                        <div class="row m-0">
                            <p class="col-6 m-0 p-0">Nummer:</p>
                            <p class="col-6 m-0 p-0" style="word-wrap: break-word;">{{ ticket.contact_person.phone_number }}</p>
                        </div>
                    {% endif %}
                    <hr>
                    <div class="row m-0">
                        <p class="col-6 m-0 p-0">Toevoeg datum:</p>
                        <p class="col-6 m-0 p-0">{{ ticket.dt_added }}</p>
                    </div>
                    <div class="row m-0">
                        <p class="col-6 m-0 p-0">Categorie:</p>
                        <p class="col-6 m-0 p-0">{{ ticket.category }}</p>
                    </div>
                </div>
            </section>
        </div>
    </main>
{% endblock %}
